Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.util
Class JRAxisFormat

    java.lang.Object
      net.sf.jasperreports.charts.util.JRAxisFormat

All Implemented Interfaces:
  java.io.Serializable

    public class JRAxisFormat

extends java.lang.Object
implements java.io.Serializable

Represents all the formatting options of a chart axis. The axis can be either a domain or a range axis, and any options that do not apply to the current axis are simply ignored.

Version:
  $Id: JRAxisFormat.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.awt.Color` | `labelColor` The color to use when writing the label of the axis.
`protected JRFont` | `labelFont` The font to use when writing the label of the axis.
`protected java.awt.Color` | `lineColor` The color to use when drawing the axis line and tick marks, if enabled.
`protected java.awt.Color` | `tickLabelColor` The color to use when writing the label of each tick mark.
`protected JRFont` | `tickLabelFont` The font to use when writing the label of each tick mark.
`protected java.lang.String` | `tickLabelMask` The mask to use for formatting the label of each tick mark.
`protected java.lang.Boolean` | `verticalTickLabels` Flag to force rendering the tick labels rotated 90 degrees.

Constructor Summary
`JRAxisFormat()` Constructor.

Method Summary
`java.awt.Color` | `getLabelColor()` Returns the color used when writing the label of the axis.
`JRFont` | `getLabelFont()` Returns the font used when writing the label of the axis.
`java.awt.Color` | `getLineColor()` Returns the color used when drawing the axis.
`java.awt.Color` | `getTickLabelColor()` Returns the color used when writing the label of each tick mark.
`JRFont` | `getTickLabelFont()` Returns the font used when writing the label of each tick mark.
`java.lang.String` | `getTickLabelMask()` Returns the formatting mask used when writing the label of each tick mark.
`java.lang.Boolean` | `getVerticalTickLabels()`
`void` | `setLabelColor(java.awt.Color labelColor)` Sets the color used when writing the label of the axis.
`void` | `setLabelFont(JRFont labelFont)` Sets the font used when writing the label of the axis.
`void` | `setLineColor(java.awt.Color lineColor)` Sets the color used when drawing the axis.
`void` | `setTickLabelColor(java.awt.Color tickLabelColor)` Sets the color to use when writing the label of each tick mark.
`void` | `setTickLabelFont(JRFont tickLabelFont)` Sets the font to use when writing the label of each tick mark.
`void` | `setTickLabelMask(java.lang.String mask)` Sets the formatting mask to user when writing the label of each tick mark.
`void` | `setVerticalTickLabel(java.lang.Boolean verticalTickLabels)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelColor

    protected java.awt.Color labelColor

  The color to use when writing the label of the axis.

### labelFont

    protected JRFont labelFont

  The font to use when writing the label of the axis.

### tickLabelColor

    protected java.awt.Color tickLabelColor

  The color to use when writing the label of each tick mark. Ignored if tick marks are disabled.

### tickLabelFont

    protected JRFont tickLabelFont

  The font to use when writing the label of each tick mark. Ignored if tick marks are disabled.

### tickLabelMask

    protected java.lang.String tickLabelMask

  The mask to use for formatting the label of each tick mark. Ignored if tick marks are disabled, or if the axis being formatted is not either numeric or a date axis.

### verticalTickLabels

    protected java.lang.Boolean verticalTickLabels

  Flag to force rendering the tick labels rotated 90 degrees.

### lineColor

    protected java.awt.Color lineColor

  The color to use when drawing the axis line and tick marks, if enabled.

Constructor Detail

### JRAxisFormat

    public JRAxisFormat()

  Constructor.

Method Detail

### getLabelColor

    public java.awt.Color getLabelColor()

  Returns the color used when writing the label of the axis.

  Returns:
    the color used when writing the label of the axis

### setLabelColor

    public void setLabelColor(java.awt.Color labelColor)

  Sets the color used when writing the label of the axis.

  Parameters:
    `labelColor` - the color to use when writing the label of the axis

### getLabelFont

    public JRFont getLabelFont()

  Returns the font used when writing the label of the axis.

  Returns:
    the font used when writing the label of the axis

### setLabelFont

    public void setLabelFont(JRFont labelFont)

  Sets the font used when writing the label of the axis.

  Parameters:
    `labelFont` - the font to use when writing the label of the axis

### getLineColor

    public java.awt.Color getLineColor()

  Returns the color used when drawing the axis. This color is used for both the axis line itself and any tick marks present on the axis.

  Returns:
    the color used when drawing the axis.

### setLineColor

    public void setLineColor(java.awt.Color lineColor)

  Sets the color used when drawing the axis. This color is used for both the axis line itself and any tick marks present on the axis.

  Parameters:
    `lineColor` - the color to use when drawing the axis.

### getTickLabelColor

    public java.awt.Color getTickLabelColor()

  Returns the color used when writing the label of each tick mark.

  Returns:
    the color used when writing the label of each tick mark

### setTickLabelColor

    public void setTickLabelColor(java.awt.Color tickLabelColor)

  Sets the color to use when writing the label of each tick mark.

  Parameters:
    `tickLabelColor` - the color to use when writing the label of each tick mark

### getTickLabelFont

    public JRFont getTickLabelFont()

  Returns the font used when writing the label of each tick mark.

  Returns:
    the font used when writing the label of each tick mark

### setTickLabelFont

    public void setTickLabelFont(JRFont tickLabelFont)

  Sets the font to use when writing the label of each tick mark.

  Parameters:
    `tickLabelFont` - the font to use when writing the label of each tick mark

### getTickLabelMask

    public java.lang.String getTickLabelMask()

  Returns the formatting mask used when writing the label of each tick mark.

  Returns:
    the formatting mask used when writing the label of each tick mark

### setTickLabelMask

    public void setTickLabelMask(java.lang.String mask)

  Sets the formatting mask to user when writing the label of each tick mark.

  Parameters:
    `mask` - the formatting mask to use when writing the label of each tick mark

### getVerticalTickLabels

    public java.lang.Boolean getVerticalTickLabels()

### setVerticalTickLabel

    public void setVerticalTickLabel(java.lang.Boolean verticalTickLabels)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com